# HG changeset patch
# User Andrei Belov <defan at nginx.com>
# Date 1426503494 -10800
#      Mon Mar 16 13:58:14 2015 +0300
# Node ID c7a6cf7b9d12b9d33cd814ab7967cbb8eb7ce714
# Parent  3bc065d1333cc89f34456d344b217c328b3aa82c
Win32: fixed OpenSSL build on 64-bit platforms.

diff --git a/auto/lib/openssl/makefile.msvc b/auto/lib/openssl/makefile.msvc
--- a/auto/lib/openssl/makefile.msvc
+++ b/auto/lib/openssl/makefile.msvc
@@ -3,7 +3,9 @@
 # Copyright (C) Nginx, Inc.
 
 
-all:
+all:	do$(PLATFORM)
+
+do:
 	cd $(OPENSSL)
 
 	perl Configure VC-WIN32 no-shared --prefix=openssl $(OPENSSL_OPT)
@@ -12,3 +14,13 @@ all:
 
 	$(MAKE) -f ms\nt.mak
 	$(MAKE) -f ms\nt.mak install
+
+doX64:
+	cd $(OPENSSL)
+
+	perl Configure VC-WIN64A no-shared --prefix=openssl $(OPENSSL_OPT)
+
+	ms\do_win64a
+
+	$(MAKE) -f ms\nt.mak
+	$(MAKE) -f ms\nt.mak install

